Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Class OQLParser

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              org.makumba.providers.query.oql.OQLParser

All Implemented Interfaces:
  OQLLexerTokenTypes

    public class OQLParser

extends antlr.LLkParser
implements OQLLexerTokenTypes

Field Summary
`static String[]` | `_tokenNames`
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_10`
`static antlr.collections.impl.BitSet` | `_tokenSet_11`
`static antlr.collections.impl.BitSet` | `_tokenSet_12`
`static antlr.collections.impl.BitSet` | `_tokenSet_13`
`static antlr.collections.impl.BitSet` | `_tokenSet_14`
`static antlr.collections.impl.BitSet` | `_tokenSet_15`
`static antlr.collections.impl.BitSet` | `_tokenSet_16`
`static antlr.collections.impl.BitSet` | `_tokenSet_17`
`static antlr.collections.impl.BitSet` | `_tokenSet_18`
`static antlr.collections.impl.BitSet` | `_tokenSet_19`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static antlr.collections.impl.BitSet` | `_tokenSet_3`
`static antlr.collections.impl.BitSet` | `_tokenSet_4`
`static antlr.collections.impl.BitSet` | `_tokenSet_5`
`static antlr.collections.impl.BitSet` | `_tokenSet_6`
`static antlr.collections.impl.BitSet` | `_tokenSet_7`
`static antlr.collections.impl.BitSet` | `_tokenSet_8`
`static antlr.collections.impl.BitSet` | `_tokenSet_9`
`(package private) QueryAST` | `currentQuery`
`(package private) String` | `is`
`(package private) int` | `lastAdditive`
`(package private) antlr.collections.AST` | `lastEQop`
`(package private) int` | `lastMultiplicative`
`(package private) boolean` | `wasLeftJoin`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface org.makumba.providers.query.oql.OQLLexerTokenTypes
`CharLiteral, CommentLine, EOF, Identifier, LITERAL_abs, LITERAL_all, LITERAL_and, LITERAL_any, LITERAL_array, LITERAL_as, LITERAL_asc, LITERAL_ascii, LITERAL_avg, LITERAL_bag, LITERAL_boolean, LITERAL_by, LITERAL_char, LITERAL_character_length, LITERAL_count, LITERAL_current_date, LITERAL_current_time, LITERAL_current_timestamp, LITERAL_date, LITERAL_dayName, LITERAL_dayOfMonth, LITERAL_dayOfWeek, LITERAL_dayOfYear, LITERAL_define, LITERAL_desc, LITERAL_dictionary, LITERAL_distinct, LITERAL_double, LITERAL_element, LITERAL_except, LITERAL_exists, LITERAL_false, LITERAL_first, LITERAL_flatten, LITERAL_float, LITERAL_for, LITERAL_from, LITERAL_group, LITERAL_having, LITERAL_hour, LITERAL_import, LITERAL_in, LITERAL_intersect, LITERAL_interval, LITERAL_is_defined, LITERAL_is_undefined, LITERAL_join, LITERAL_last, LITERAL_left, LITERAL_like, LITERAL_list, LITERAL_listtoset, LITERAL_long, LITERAL_lower, LITERAL_ltrim, LITERAL_max, LITERAL_min, LITERAL_minute, LITERAL_mod, LITERAL_month, LITERAL_monthName, LITERAL_nil, LITERAL_not, LITERAL_octet, LITERAL_or, LITERAL_order, LITERAL_query, LITERAL_rtrim, LITERAL_second, LITERAL_select, LITERAL_set, LITERAL_short, LITERAL_some, LITERAL_string, LITERAL_struct, LITERAL_sum, LITERAL_time, LITERAL_timestamp, LITERAL_trim, LITERAL_true, LITERAL_undefine, LITERAL_union, LITERAL_unique, LITERAL_unsigned, LITERAL_upper, LITERAL_where, LITERAL_year, MultiLineComment, NameCharacter, NameFirstCharacter, NewLine, NULL_TREE_LOOKAHEAD, StringLiteral, TOK_APPROXIMATE_NUMERIC_LITERAL, TOK_COLON, TOK_COMMA, TOK_CONCAT, TOK_DOLLAR, TOK_DOT, TOK_DOTDOT, TOK_EQ, TOK_EXACT_NUMERIC_LITERAL, TOK_GE, TOK_GT, TOK_INDIRECT, TOK_LBRACK, TOK_LE, TOK_LPAR, TOK_LPAREN, TOK_LRAR, TOK_LT, TOK_MINUS, TOK_NE, TOK_PLUS, TOK_RBRACK, TOK_RPAREN, TOK_SEMIC, TOK_SLASH, TOK_STAR, TOK_UNSIGNED_INTEGER, WhiteSpace`

Constructor Summary
`` | `OQLParser(antlr.ParserSharedInputState state)`
`` | `OQLParser(antlr.TokenBuffer tokenBuf)`
`protected` | `OQLParser(antlr.TokenBuffer tokenBuf, int k)`
`` | `OQLParser(antlr.TokenStream lexer)`
`protected` | `OQLParser(antlr.TokenStream lexer, int k)`

Method Summary
`void` | `additiveExpr()`
`void` | `aggregateExpr()`
`void` | `andExpr()`
`void` | `argList()`
`void` | `booleanLiteral()`
`protected void` | `buildTokenTypeASTClassMap()`
`void` | `charLiteral()`
`void` | `collectionConstruction()`
`void` | `collectionExpr()`
`void` | `conversionExpr()`
`(package private) QueryAST` | `currentQuery()`
`void` | `dateLiteral()`
`void` | `declaration()`
`void` | `defineQuery()`
`void` | `doubleLiteral()`
`void` | `equalityExpr()`
`void` | `expr()`
`void` | `fieldList()`
`void` | `fromClause()`
`void` | `functionExpr()`
`void` | `groupClause()`
`void` | `groupColumn()`
`void` | `importQuery()`
`void` | `index()`
`void` | `inExpr()`
`void` | `iteratorDef()`
`void` | `labelIdentifier()`
`void` | `literal()`
`void` | `longLiteral()`
`void` | `makumbaIdentifier()`
`void` | `multiplicativeExpr()`
`void` | `objectConstruction()`
`void` | `objectLiteral()`
`void` | `orderClause()`
`void` | `orExpr()`
`void` | `postfixExpr()`
`void` | `primaryExpr()`
`void` | `projection()`
`void` | `projectionAttributes()`
`void` | `quantifierExpr()`
`void` | `query()`
`void` | `queryProgram()`
`void` | `relationalExpr()`
`void` | `selectExpr()`
`void` | `sortCriterion()`
`void` | `stringLiteral()`
`void` | `structConstruction()`
`void` | `timeLiteral()`
`void` | `timestampLiteral()`
`void` | `type()`
`void` | `typeIdentifier()`
`void` | `unaryExpr()`
`void` | `undefinedExpr()`
`void` | `undefineQuery()`
`void` | `whereClause()`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser
`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentQuery

    QueryAST currentQuery

### lastEQop

    antlr.collections.AST lastEQop

### is

    String is

### lastAdditive

    int lastAdditive

### lastMultiplicative

    int lastMultiplicative

### wasLeftJoin

    boolean wasLeftJoin

### _tokenNames

    public static final String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

### _tokenSet_8

    public static final antlr.collections.impl.BitSet _tokenSet_8

### _tokenSet_9

    public static final antlr.collections.impl.BitSet _tokenSet_9

### _tokenSet_10

    public static final antlr.collections.impl.BitSet _tokenSet_10

### _tokenSet_11

    public static final antlr.collections.impl.BitSet _tokenSet_11

### _tokenSet_12

    public static final antlr.collections.impl.BitSet _tokenSet_12

### _tokenSet_13

    public static final antlr.collections.impl.BitSet _tokenSet_13

### _tokenSet_14

    public static final antlr.collections.impl.BitSet _tokenSet_14

### _tokenSet_15

    public static final antlr.collections.impl.BitSet _tokenSet_15

### _tokenSet_16

    public static final antlr.collections.impl.BitSet _tokenSet_16

### _tokenSet_17

    public static final antlr.collections.impl.BitSet _tokenSet_17

### _tokenSet_18

    public static final antlr.collections.impl.BitSet _tokenSet_18

### _tokenSet_19

    public static final antlr.collections.impl.BitSet _tokenSet_19

Constructor Detail

### OQLParser

    protected OQLParser(antlr.TokenBuffer tokenBuf,
                        int k)

### OQLParser

    public OQLParser(antlr.TokenBuffer tokenBuf)

### OQLParser

    protected OQLParser(antlr.TokenStream lexer,
                        int k)

### OQLParser

    public OQLParser(antlr.TokenStream lexer)

### OQLParser

    public OQLParser(antlr.ParserSharedInputState state)

Method Detail

### currentQuery

    QueryAST currentQuery()
                    throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### queryProgram

    public final void queryProgram()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### declaration

    public final void declaration()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### query

    public final void query()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### defineQuery

    public final void defineQuery()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### importQuery

    public final void importQuery()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### undefineQuery

    public final void undefineQuery()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### labelIdentifier

    public final void labelIdentifier()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### type

    public final void type()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### selectExpr

    public final void selectExpr()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### expr

    public final void expr()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### projectionAttributes

    public final void projectionAttributes()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### fromClause

    public final void fromClause()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### whereClause

    public final void whereClause()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### groupClause

    public final void groupClause()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### orderClause

    public final void orderClause()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### iteratorDef

    public final void iteratorDef()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### makumbaIdentifier

    public final void makumbaIdentifier()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### projection

    public final void projection()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### groupColumn

    public final void groupColumn()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### sortCriterion

    public final void sortCriterion()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### orExpr

    public final void orExpr()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### andExpr

    public final void andExpr()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### quantifierExpr

    public final void quantifierExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### equalityExpr

    public final void equalityExpr()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### relationalExpr

    public final void relationalExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### additiveExpr

    public final void additiveExpr()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### multiplicativeExpr

    public final void multiplicativeExpr()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### inExpr

    public final void inExpr()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### unaryExpr

    public final void unaryExpr()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### postfixExpr

    public final void postfixExpr()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### primaryExpr

    public final void primaryExpr()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### index

    public final void index()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### undefinedExpr

    public final void undefinedExpr()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### collectionConstruction

    public final void collectionConstruction()
                                      throws antlr.RecognitionException,
                                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### aggregateExpr

    public final void aggregateExpr()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### functionExpr

    public final void functionExpr()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### literal

    public final void literal()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### argList

    public final void argList()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### conversionExpr

    public final void conversionExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### collectionExpr

    public final void collectionExpr()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### objectConstruction

    public final void objectConstruction()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### typeIdentifier

    public final void typeIdentifier()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### fieldList

    public final void fieldList()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### structConstruction

    public final void structConstruction()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### objectLiteral

    public final void objectLiteral()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### booleanLiteral

    public final void booleanLiteral()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### longLiteral

    public final void longLiteral()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### doubleLiteral

    public final void doubleLiteral()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### charLiteral

    public final void charLiteral()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### stringLiteral

    public final void stringLiteral()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### dateLiteral

    public final void dateLiteral()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### timeLiteral

    public final void timeLiteral()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### timestampLiteral

    public final void timestampLiteral()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### buildTokenTypeASTClassMap

    protected void buildTokenTypeASTClassMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20